# Security update for slurm

Announcement ID: SUSE-SU-2023:4578-1  
Rating: important  
References:

  * bsc#1216207
  * bsc#1216869

  
Cross-References:

  * CVE-2023-41914

  
CVSS scores:

  * CVE-2023-41914 ( SUSE ):  8.8 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-41914 ( NVD ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

  
Affected Products:

  * HPC Module 15-SP5
  * openSUSE Leap 15.5
  * SUSE Linux Enterprise Desktop 15 SP5
  * SUSE Linux Enterprise High Performance Computing 15 SP5
  * SUSE Linux Enterprise Micro 5.5
  * SUSE Linux Enterprise Micro 6.0
  * SUSE Linux Enterprise Real Time 15 SP5
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5
  * SUSE Package Hub 15 15-SP5

  
  
An update that solves one vulnerability and has one security fix can now be
installed.

## Description:

This update for slurm fixes the following issues:

  * CVE-2023-41914: Fixed a filesystem handling race conditions that could have
    led to an attacker taking control of an arbitrary file, or removing entire
    directoy contents (bsc#1216207).

Bug fixes:

  * Add missing dependencies to slurm-config to plugins package. These should
    help to tie down the slurm version and help to avoid a package mix
    (bsc#1216869).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * SUSE Package Hub 15 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2023-4578=1

  * openSUSE Leap 15.5  
    zypper in -t patch SUSE-2023-4578=1 openSUSE-SLE-15.5-2023-4578=1

  * HPC Module 15-SP5  
    zypper in -t patch SUSE-SLE-Module-HPC-15-SP5-2023-4578=1

## Package List:

  * SUSE Package Hub 15 15-SP5 (ppc64le s390x)
    * slurm-munge-debuginfo-23.02.6-150500.5.12.1
    * slurm-torque-23.02.6-150500.5.12.1
    * slurm-debuginfo-23.02.6-150500.5.12.1
    * slurm-sview-debuginfo-23.02.6-150500.5.12.1
    * slurm-slurmdbd-debuginfo-23.02.6-150500.5.12.1
    * libnss_slurm2-23.02.6-150500.5.12.1
    * slurm-torque-debuginfo-23.02.6-150500.5.12.1
    * libpmi0-23.02.6-150500.5.12.1
    * slurm-plugins-debuginfo-23.02.6-150500.5.12.1
    * slurm-23.02.6-150500.5.12.1
    * slurm-auth-none-debuginfo-23.02.6-150500.5.12.1
    * slurm-devel-23.02.6-150500.5.12.1
    * slurm-sql-23.02.6-150500.5.12.1
    * slurm-rest-23.02.6-150500.5.12.1
    * perl-slurm-23.02.6-150500.5.12.1
    * slurm-node-23.02.6-150500.5.12.1
    * slurm-hdf5-23.02.6-150500.5.12.1
    * slurm-pam_slurm-23.02.6-150500.5.12.1
    * slurm-cray-23.02.6-150500.5.12.1
    * slurm-node-debuginfo-23.02.6-150500.5.12.1
    * slurm-sql-debuginfo-23.02.6-150500.5.12.1
    * slurm-munge-23.02.6-150500.5.12.1
    * slurm-auth-none-23.02.6-150500.5.12.1
    * libnss_slurm2-debuginfo-23.02.6-150500.5.12.1
    * slurm-cray-debuginfo-23.02.6-150500.5.12.1
    * slurm-debugsource-23.02.6-150500.5.12.1
    * slurm-plugins-23.02.6-150500.5.12.1
    * slurm-slurmdbd-23.02.6-150500.5.12.1
    * slurm-lua-debuginfo-23.02.6-150500.5.12.1
    * perl-slurm-debuginfo-23.02.6-150500.5.12.1
    * slurm-lua-23.02.6-150500.5.12.1
    * slurm-rest-debuginfo-23.02.6-150500.5.12.1
    * libpmi0-debuginfo-23.02.6-150500.5.12.1
    * slurm-sview-23.02.6-150500.5.12.1
    * slurm-hdf5-debuginfo-23.02.6-150500.5.12.1
    * slurm-pam_slurm-debuginfo-23.02.6-150500.5.12.1
  * SUSE Package Hub 15 15-SP5 (noarch)
    * slurm-doc-23.02.6-150500.5.12.1
    * slurm-webdoc-23.02.6-150500.5.12.1
    * slurm-config-man-23.02.6-150500.5.12.1
    * slurm-seff-23.02.6-150500.5.12.1
    * slurm-openlava-23.02.6-150500.5.12.1
    * slurm-config-23.02.6-150500.5.12.1
    * slurm-sjstat-23.02.6-150500.5.12.1
  * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64)
    * slurm-munge-debuginfo-23.02.6-150500.5.12.1
    * slurm-testsuite-23.02.6-150500.5.12.1
    * libslurm39-debuginfo-23.02.6-150500.5.12.1
    * slurm-torque-23.02.6-150500.5.12.1
    * slurm-debuginfo-23.02.6-150500.5.12.1
    * slurm-sview-debuginfo-23.02.6-150500.5.12.1
    * slurm-slurmdbd-debuginfo-23.02.6-150500.5.12.1
    * libslurm39-23.02.6-150500.5.12.1
    * libnss_slurm2-23.02.6-150500.5.12.1
    * slurm-torque-debuginfo-23.02.6-150500.5.12.1
    * libpmi0-23.02.6-150500.5.12.1
    * slurm-plugins-debuginfo-23.02.6-150500.5.12.1
    * slurm-23.02.6-150500.5.12.1
    * slurm-auth-none-debuginfo-23.02.6-150500.5.12.1
    * slurm-devel-23.02.6-150500.5.12.1
    * slurm-sql-23.02.6-150500.5.12.1
    * slurm-rest-23.02.6-150500.5.12.1
    * perl-slurm-23.02.6-150500.5.12.1
    * slurm-node-23.02.6-150500.5.12.1
    * slurm-hdf5-23.02.6-150500.5.12.1
    * slurm-pam_slurm-23.02.6-150500.5.12.1
    * slurm-cray-23.02.6-150500.5.12.1
    * slurm-node-debuginfo-23.02.6-150500.5.12.1
    * slurm-sql-debuginfo-23.02.6-150500.5.12.1
    * slurm-munge-23.02.6-150500.5.12.1
    * slurm-auth-none-23.02.6-150500.5.12.1
    * libnss_slurm2-debuginfo-23.02.6-150500.5.12.1
    * slurm-cray-debuginfo-23.02.6-150500.5.12.1
    * slurm-debugsource-23.02.6-150500.5.12.1
    * slurm-plugins-23.02.6-150500.5.12.1
    * slurm-plugin-ext-sensors-rrd-23.02.6-150500.5.12.1
    * slurm-slurmdbd-23.02.6-150500.5.12.1
    * slurm-lua-debuginfo-23.02.6-150500.5.12.1
    * perl-slurm-debuginfo-23.02.6-150500.5.12.1
    * slurm-lua-23.02.6-150500.5.12.1
    * slurm-rest-debuginfo-23.02.6-150500.5.12.1
    * libpmi0-debuginfo-23.02.6-150500.5.12.1
    * slurm-sview-23.02.6-150500.5.12.1
    * slurm-plugin-ext-sensors-rrd-debuginfo-23.02.6-150500.5.12.1
    * slurm-hdf5-debuginfo-23.02.6-150500.5.12.1
    * slurm-pam_slurm-debuginfo-23.02.6-150500.5.12.1
  * openSUSE Leap 15.5 (noarch)
    * slurm-doc-23.02.6-150500.5.12.1
    * slurm-webdoc-23.02.6-150500.5.12.1
    * slurm-config-man-23.02.6-150500.5.12.1
    * slurm-seff-23.02.6-150500.5.12.1
    * slurm-openlava-23.02.6-150500.5.12.1
    * slurm-config-23.02.6-150500.5.12.1
    * slurm-sjstat-23.02.6-150500.5.12.1
  * HPC Module 15-SP5 (aarch64 x86_64)
    * slurm-munge-debuginfo-23.02.6-150500.5.12.1
    * libslurm39-debuginfo-23.02.6-150500.5.12.1
    * slurm-torque-23.02.6-150500.5.12.1
    * slurm-debuginfo-23.02.6-150500.5.12.1
    * slurm-sview-debuginfo-23.02.6-150500.5.12.1
    * slurm-slurmdbd-debuginfo-23.02.6-150500.5.12.1
    * libslurm39-23.02.6-150500.5.12.1
    * libnss_slurm2-23.02.6-150500.5.12.1
    * slurm-torque-debuginfo-23.02.6-150500.5.12.1
    * libpmi0-23.02.6-150500.5.12.1
    * slurm-plugins-debuginfo-23.02.6-150500.5.12.1
    * slurm-23.02.6-150500.5.12.1
    * slurm-auth-none-debuginfo-23.02.6-150500.5.12.1
    * slurm-devel-23.02.6-150500.5.12.1
    * slurm-sql-23.02.6-150500.5.12.1
    * slurm-rest-23.02.6-150500.5.12.1
    * perl-slurm-23.02.6-150500.5.12.1
    * slurm-node-23.02.6-150500.5.12.1
    * slurm-pam_slurm-23.02.6-150500.5.12.1
    * slurm-cray-23.02.6-150500.5.12.1
    * slurm-node-debuginfo-23.02.6-150500.5.12.1
    * slurm-sql-debuginfo-23.02.6-150500.5.12.1
    * slurm-munge-23.02.6-150500.5.12.1
    * slurm-auth-none-23.02.6-150500.5.12.1
    * libnss_slurm2-debuginfo-23.02.6-150500.5.12.1
    * slurm-cray-debuginfo-23.02.6-150500.5.12.1
    * slurm-debugsource-23.02.6-150500.5.12.1
    * slurm-plugins-23.02.6-150500.5.12.1
    * slurm-plugin-ext-sensors-rrd-23.02.6-150500.5.12.1
    * slurm-slurmdbd-23.02.6-150500.5.12.1
    * slurm-lua-debuginfo-23.02.6-150500.5.12.1
    * perl-slurm-debuginfo-23.02.6-150500.5.12.1
    * slurm-lua-23.02.6-150500.5.12.1
    * slurm-rest-debuginfo-23.02.6-150500.5.12.1
    * libpmi0-debuginfo-23.02.6-150500.5.12.1
    * slurm-sview-23.02.6-150500.5.12.1
    * slurm-plugin-ext-sensors-rrd-debuginfo-23.02.6-150500.5.12.1
    * slurm-pam_slurm-debuginfo-23.02.6-150500.5.12.1
  * HPC Module 15-SP5 (noarch)
    * slurm-doc-23.02.6-150500.5.12.1
    * slurm-webdoc-23.02.6-150500.5.12.1
    * slurm-config-man-23.02.6-150500.5.12.1
    * slurm-config-23.02.6-150500.5.12.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-41914.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1216207
  * https://bugzilla.suse.com/show_bug.cgi?id=1216869

SUSE: 2023:4578-1 important: slurm

November 27, 2023
* bsc#1216207 * bsc#1216869 Cross-References: * CVE-2023-41914

Summary

## This update for slurm fixes the following issues: * CVE-2023-41914: Fixed a filesystem handling race conditions that could have led to an attacker taking control of an arbitrary file, or removing entire directoy contents (bsc#1216207). Bug fixes: * Add missing dependencies to slurm-config to plugins package. These should help to tie down the slurm version and help to avoid a package mix (bsc#1216869). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * SUSE Package Hub 15 15-SP5 zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2023-4578=1 * openSUSE Leap 15.5 zypper in -t patch SUSE-2023-4578=1 openSUSE-SLE-15.5-2023-4578=1 * HPC Module 15-SP5 zypper in -t patch SUSE-SLE-Module-HPC-15-SP5-2023-4578=1 ## Package List: * SUSE Package Hub 15 15-SP5 (ppc64le s390x) * slurm-munge-debuginfo-23.02.6-150500.5.12.1 * slurm-torque-23.02.6-150500.5.12.1 * slurm-debuginfo-23.02.6-150500.5.12.1 * slurm-sview-debuginfo-23.02.6-150500.5.12.1 * slurm-slurmdbd-debuginfo-23.02.6-150500.5.12.1 * libnss_slurm2-23.02.6-150500.5.12.1 * slurm-torque-debuginfo-23.02.6-150500.5.12.1 * libpmi0-23.02.6-150500.5.12.1 * slurm-plugins-debuginfo-23.02.6-150500.5.12.1 * slurm-23.02.6-150500.5.12.1 * slurm-auth-none-debuginfo-23.02.6-150500.5.12.1 * slurm-devel-23.02.6-150500.5.12.1 * slurm-sql-23.02.6-150500.5.12.1 * slurm-rest-23.02.6-150500.5.12.1 * perl-slurm-23.02.6-150500.5.12.1 * slurm-node-23.02.6-150500.5.12.1 * slurm-hdf5-23.02.6-150500.5.12.1 * slurm-pam_slurm-23.02.6-150500.5.12.1 * slurm-cray-23.02.6-150500.5.12.1 * slurm-node-debuginfo-23.02.6-150500.5.12.1 * slurm-sql-debuginfo-23.02.6-150500.5.12.1 * slurm-munge-23.02.6-150500.5.12.1 * slurm-auth-none-23.02.6-150500.5.12.1 * libnss_slurm2-debuginfo-23.02.6-150500.5.12.1 * slurm-cray-debuginfo-23.02.6-150500.5.12.1 * slurm-debugsource-23.02.6-150500.5.12.1 * slurm-plugins-23.02.6-150500.5.12.1 * slurm-slurmdbd-23.02.6-150500.5.12.1 * slurm-lua-debuginfo-23.02.6-150500.5.12.1 * perl-slurm-debuginfo-23.02.6-150500.5.12.1 * slurm-lua-23.02.6-150500.5.12.1 * slurm-rest-debuginfo-23.02.6-150500.5.12.1 * libpmi0-debuginfo-23.02.6-150500.5.12.1 * slurm-sview-23.02.6-150500.5.12.1 * slurm-hdf5-debuginfo-23.02.6-150500.5.12.1 * slurm-pam_slurm-debuginfo-23.02.6-150500.5.12.1 * SUSE Package Hub 15 15-SP5 (noarch) * slurm-doc-23.02.6-150500.5.12.1 * slurm-webdoc-23.02.6-150500.5.12.1 * slurm-config-man-23.02.6-150500.5.12.1 * slurm-seff-23.02.6-150500.5.12.1 * slurm-openlava-23.02.6-150500.5.12.1 * slurm-config-23.02.6-150500.5.12.1 * slurm-sjstat-23.02.6-150500.5.12.1 * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64) * slurm-munge-debuginfo-23.02.6-150500.5.12.1 * slurm-testsuite-23.02.6-150500.5.12.1 * libslurm39-debuginfo-23.02.6-150500.5.12.1 * slurm-torque-23.02.6-150500.5.12.1 * slurm-debuginfo-23.02.6-150500.5.12.1 * slurm-sview-debuginfo-23.02.6-150500.5.12.1 * slurm-slurmdbd-debuginfo-23.02.6-150500.5.12.1 * libslurm39-23.02.6-150500.5.12.1 * libnss_slurm2-23.02.6-150500.5.12.1 * slurm-torque-debuginfo-23.02.6-150500.5.12.1 * libpmi0-23.02.6-150500.5.12.1 * slurm-plugins-debuginfo-23.02.6-150500.5.12.1 * slurm-23.02.6-150500.5.12.1 * slurm-auth-none-debuginfo-23.02.6-150500.5.12.1 * slurm-devel-23.02.6-150500.5.12.1 * slurm-sql-23.02.6-150500.5.12.1 * slurm-rest-23.02.6-150500.5.12.1 * perl-slurm-23.02.6-150500.5.12.1 * slurm-node-23.02.6-150500.5.12.1 * slurm-hdf5-23.02.6-150500.5.12.1 * slurm-pam_slurm-23.02.6-150500.5.12.1 * slurm-cray-23.02.6-150500.5.12.1 * slurm-node-debuginfo-23.02.6-150500.5.12.1 * slurm-sql-debuginfo-23.02.6-150500.5.12.1 * slurm-munge-23.02.6-150500.5.12.1 * slurm-auth-none-23.02.6-150500.5.12.1 * libnss_slurm2-debuginfo-23.02.6-150500.5.12.1 * slurm-cray-debuginfo-23.02.6-150500.5.12.1 * slurm-debugsource-23.02.6-150500.5.12.1 * slurm-plugins-23.02.6-150500.5.12.1 * slurm-plugin-ext-sensors-rrd-23.02.6-150500.5.12.1 * slurm-slurmdbd-23.02.6-150500.5.12.1 * slurm-lua-debuginfo-23.02.6-150500.5.12.1 * perl-slurm-debuginfo-23.02.6-150500.5.12.1 * slurm-lua-23.02.6-150500.5.12.1 * slurm-rest-debuginfo-23.02.6-150500.5.12.1 * libpmi0-debuginfo-23.02.6-150500.5.12.1 * slurm-sview-23.02.6-150500.5.12.1 * slurm-plugin-ext-sensors-rrd-debuginfo-23.02.6-150500.5.12.1 * slurm-hdf5-debuginfo-23.02.6-150500.5.12.1 * slurm-pam_slurm-debuginfo-23.02.6-150500.5.12.1 * openSUSE Leap 15.5 (noarch) * slurm-doc-23.02.6-150500.5.12.1 * slurm-webdoc-23.02.6-150500.5.12.1 * slurm-config-man-23.02.6-150500.5.12.1 * slurm-seff-23.02.6-150500.5.12.1 * slurm-openlava-23.02.6-150500.5.12.1 * slurm-config-23.02.6-150500.5.12.1 * slurm-sjstat-23.02.6-150500.5.12.1 * HPC Module 15-SP5 (aarch64 x86_64) * slurm-munge-debuginfo-23.02.6-150500.5.12.1 * libslurm39-debuginfo-23.02.6-150500.5.12.1 * slurm-torque-23.02.6-150500.5.12.1 * slurm-debuginfo-23.02.6-150500.5.12.1 * slurm-sview-debuginfo-23.02.6-150500.5.12.1 * slurm-slurmdbd-debuginfo-23.02.6-150500.5.12.1 * libslurm39-23.02.6-150500.5.12.1 * libnss_slurm2-23.02.6-150500.5.12.1 * slurm-torque-debuginfo-23.02.6-150500.5.12.1 * libpmi0-23.02.6-150500.5.12.1 * slurm-plugins-debuginfo-23.02.6-150500.5.12.1 * slurm-23.02.6-150500.5.12.1 * slurm-auth-none-debuginfo-23.02.6-150500.5.12.1 * slurm-devel-23.02.6-150500.5.12.1 * slurm-sql-23.02.6-150500.5.12.1 * slurm-rest-23.02.6-150500.5.12.1 * perl-slurm-23.02.6-150500.5.12.1 * slurm-node-23.02.6-150500.5.12.1 * slurm-pam_slurm-23.02.6-150500.5.12.1 * slurm-cray-23.02.6-150500.5.12.1 * slurm-node-debuginfo-23.02.6-150500.5.12.1 * slurm-sql-debuginfo-23.02.6-150500.5.12.1 * slurm-munge-23.02.6-150500.5.12.1 * slurm-auth-none-23.02.6-150500.5.12.1 * libnss_slurm2-debuginfo-23.02.6-150500.5.12.1 * slurm-cray-debuginfo-23.02.6-150500.5.12.1 * slurm-debugsource-23.02.6-150500.5.12.1 * slurm-plugins-23.02.6-150500.5.12.1 * slurm-plugin-ext-sensors-rrd-23.02.6-150500.5.12.1 * slurm-slurmdbd-23.02.6-150500.5.12.1 * slurm-lua-debuginfo-23.02.6-150500.5.12.1 * perl-slurm-debuginfo-23.02.6-150500.5.12.1 * slurm-lua-23.02.6-150500.5.12.1 * slurm-rest-debuginfo-23.02.6-150500.5.12.1 * libpmi0-debuginfo-23.02.6-150500.5.12.1 * slurm-sview-23.02.6-150500.5.12.1 * slurm-plugin-ext-sensors-rrd-debuginfo-23.02.6-150500.5.12.1 * slurm-pam_slurm-debuginfo-23.02.6-150500.5.12.1 * HPC Module 15-SP5 (noarch) * slurm-doc-23.02.6-150500.5.12.1 * slurm-webdoc-23.02.6-150500.5.12.1 * slurm-config-man-23.02.6-150500.5.12.1 * slurm-config-23.02.6-150500.5.12.1

References

* bsc#1216207

* bsc#1216869

Cross-

* CVE-2023-41914

CVSS scores:

* CVE-2023-41914 ( SUSE ): 8.8 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-41914 ( NVD ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

* HPC Module 15-SP5

* openSUSE Leap 15.5

* SUSE Linux Enterprise Desktop 15 SP5

* SUSE Linux Enterprise High Performance Computing 15 SP5

* SUSE Linux Enterprise Micro 5.5

* SUSE Linux Enterprise Micro 6.0

* SUSE Linux Enterprise Real Time 15 SP5

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

* SUSE Package Hub 15 15-SP5

An update that solves one vulnerability and has one security fix can now be

installed.

##

* https://www.suse.com/security/cve/CVE-2023-41914.html

* https://bugzilla.suse.com/show_bug.cgi?id=1216207

* https://bugzilla.suse.com/show_bug.cgi?id=1216869

Severity
Announcement ID: SUSE-SU-2023:4578-1
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo